Bug 2353 - rpmbuild doesn't create %_topdir/SRPMS
: rpmbuild doesn't create %_topdir/SRPMS
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-11 16:03 by
Modified: 2005-09-20 04:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-11 16:03:58
Для нового пользователя с настройками ~/.rpmmacros из
etcskel-2.0.9-alt1

Был установлен 
rpm -i kernel24-2.4.20-alt5.src.rpm
при этом автоматически было создано дерево каталогов в %_topdir, кроме SRPMS

При сборке из спека
rpmbuild -ba kernel-2.4-stable.spec
сборка завершилась с ошибкой:
Requires: kernel-headers-common initscripts >= 5.49-ipl10mdk /bin/sh
Conflicts: kernel24-headers-linus = 2.4.20-alt5.2 kernel24-headers-adv =
2.4.20-alt5.2
Obsoletes: kernel-headers
ошибка: Невозможно открыть /home/vyt/RPM/SRPMS/kernel24-2.4.20-alt5.2.src.rpm:
No such file or directory

После ручного создания каталога SRPMS всё собралось.

rpm-build-4.0.4-alt14
Система - Master 2.0/Last Sisyphus

---

---
------- Comment #1 From 2003-09-12 21:24:33 -------
Fixed in -4.0.4-alt24